it.reply.healty.innovapuglia.mstaccuino.soap.client

## Class IAccessiClient

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.soap.client.common.AbstractCxfClient<IAccessi>
  - - it.reply.healty.innovapuglia.mstaccuino.soap.client.IAccessiClient

-     @Component
      public class IAccessiClient
      extends AbstractCxfClient<IAccessi>

  Client SOAP degli accessi di FSE
  Author:
    Fabio Frijo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IAccessiClient(ApplicationConfig conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<org.apache.cxf.feature.Feature>` | `getFeatures()`
    `protected List<Handler>` | `getHandlers()`
    `void` | `write(String result, String descrizione)` Registra il risultato del servizio nella tabella GCPA_ACCESS_LOG di FSE.

    - ### Methods inherited from class it.reply.healty.innovapuglia.mstaccuino.soap.client.common.AbstractCxfClient

      `getClient, setRemoteOperation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IAccessiClient

          public IAccessiClient(@NonNull
                                ApplicationConfig conf)

  - ### Method Detail

    - #### getHandlers

          protected List<Handler> getHandlers()

      Specified by:
        `getHandlers` in class `AbstractCxfClient<IAccessi>`

    - #### getFeatures

          protected List<org.apache.cxf.feature.Feature> getFeatures()

      Specified by:
        `getFeatures` in class `AbstractCxfClient<IAccessi>`

    - #### write

          public void write(String result,
                            String descrizione)
                     throws FaultException

      Registra il risultato del servizio nella tabella GCPA_ACCESS_LOG di FSE.
      Parameters:
        `result` - Risultato operazionale del servizio (ERROR/SUCCESS)
        `descrizione` - Descrizione del risultato di ERROR/SUCCESS
      Throws:
        `FaultException` - Quando la chiamata al client restituisce errore

Copyright © 2024. All rights reserved.